# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.maps
Class FeatureQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.maps.FeatureQuery

    public class FeatureQuery

extends Query

Describes a query for the feed of map features.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`FeatureQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`java.lang.Boolean` `getShowDeleted()` Returns the should tombstones be returned.
`void` `setShowDeleted(java.lang.Boolean showDeleted)` Sets the should tombstones be returned.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureQuery

    public FeatureQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getShowDeleted

    public java.lang.Boolean getShowDeleted()

  Returns the should tombstones be returned.

  Returns:
    should tombstones be returned or `null` to indicate that the parameter is not set.

### setShowDeleted

    public void setShowDeleted(java.lang.Boolean showDeleted)

  Sets the should tombstones be returned.

  Parameters:
    `showDeleted` - should tombstones be returned or `null` to remove this parameter if set.